Account Favourite Domain

Account Favourite Domain

This endpoint returns you the favourited domain of the account hash provided

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

  • accountHashes- a list of domain owner's account hashes to query for
  • fidaType- SNS domain type to query for
    Available options for this field are ["OWNER", "NAME_SERVICE"]

Results

Valid Response

[<object>]- a list of JSON objects containing the following fields each:

  • owner:<String>, the domain owner's account hash
  • name:<String>, the name of the domain account
  • nameServiceAccount:<String>, the name service account hash
  • Example of a valid response:
{
  "status": "Success",
  "message": "Retrived favourite domains of multiple accounts!",
  "result": [
    {
      "owner": "6PzyBQbt3F8aRRAEohn3usYtdTx6nQAVwiFUHVtC7giW",
      "name": "impuesto",
      "nameServiceAccount": "6PzyBQbt3F8aRRAEohn3usYtdTx6nQAVwiFUHVtC7giW"
    }
  ]
}

Invalid Response

<object> - a JSON object containing the following fields if the requested account doesn't exist

  • code:<integer>, The error code
  • message:<String>, An error message to indicate which part of the query went wrong
  • status:<String>, The response status following the error code
    • 400 = Bad Request (client side)
    • 500 = Internal Server Error (server side)
Body Params
accountHashes
array of strings
required

The list of domain owner account hashes to query for

accountHashes*
string
required

Fida type to filter the results
Options are either OWNER or NAME_SERVICE

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json